$ErrorActionPreference = 'Stop'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  FileFullPath  = Join-Path $toolsDir "cloudflared.exe"

  url           = 'https://github.com/cloudflare/cloudflared/releases/download/2024.4.0/cloudflared-windows-386.exe'
  url64bit      = 'https://github.com/cloudflare/cloudflared/releases/download/2024.4.0/cloudflared-windows-amd64.exe'

  checksum      = '4b63bc5d10950b7a301628eef79fc7328b861f0e149011f6e661971203988c3e'
  checksumType  = 'sha256'
  checksum64    = '5680ec57a2f6641a27f11fdd600c09ee4bf6bbe2ccc180c28ddaf3cb46427511'
  checksumType64= 'sha256'
}

Get-ChocolateyWebFile @packageArgs
